MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput:

## Public Member Functions
float | ReadCurrentLimit (EAxis axis)
| Returns limit in amperes where the output clamps.
void | WriteCurrentLimit (EAxis axis, float value)
| Sets limit in amperes where the output clamps.
int | ReadChannelNumber (EAxis axis)
| Returns channel number.
float | ReadActualCurrent (EAxis axis)
| Returns current current output in amperes for axis.
float | ReadAverageLimitPeriod (EAxis axis)
| Returns number of seconds to average current.
void | WriteAverageLimitPeriod (EAxis axis, float value)
| Sets number of seconds to average current.
float | ReadAverageLimitSum (EAxis axis)
| Returns maximum allowed average current in amperes.
void | WriteAverageLimitSum (EAxis axis, float value)
| Sets maximum allowed average current in amperes.
float | ReadCooldownPeriod (EAxis axis)
| Returns length of cool-down period in seconds.
void | WriteCooldownPeriod (EAxis axis, float value)
| Sets length of cool-down period in seconds.

## Member Function Documentation

## ◆ ReadActualCurrent()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.ReadActualCurrent | ( | EAxis | axis | ) |

Returns current current output in amperes for axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadAverageLimitPeriod()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.ReadAverageLimitPeriod | ( | EAxis | axis | ) |

Returns number of seconds to average current.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadAverageLimitSum()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.ReadAverageLimitSum | ( | EAxis | axis | ) |

Returns maximum allowed average current in amperes.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadChannelNumber()

int MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.ReadChannelNumber | ( | EAxis | axis | ) |

Returns channel number.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadCooldownPeriod()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.ReadCooldownPeriod | ( | EAxis | axis | ) |

Returns length of cool-down period in seconds.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadCurrentLimit()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.ReadCurrentLimit | ( | EAxis | axis | ) |

Returns limit in amperes where the output clamps.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteAverageLimitPeriod()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.WriteAverageLimitPeriod | ( | EAxis | axis,
|  | float | value )

Sets number of seconds to average current.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteAverageLimitSum()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.WriteAverageLimitSum | ( | EAxis | axis,
|  | float | value )

Sets maximum allowed average current in amperes.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteCooldownPeriod()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.WriteCooldownPeriod | ( | EAxis | axis,
|  | float | value )

Sets length of cool-down period in seconds.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteCurrentLimit()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ILinearOutput.WriteCurrentLimit | ( | EAxis | axis,
|  | float | value )

Sets limit in amperes where the output clamps.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/IOutputStage.cs